#
# spec file for package perl-JSON-RPC
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-JSON-RPC
Version:        1.06
Release:        2.38
%define         cpan_name JSON-RPC
Summary:        JSON RPC 2.0 Server Implementation
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/JSON-RPC/
Source:         http://www.cpan.org/authors/id/D/DM/DMAKI/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CGI)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(Class::Accessor::Lite)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build) >= 0.38
BuildRequires:  perl(Plack)
BuildRequires:  perl(Plack::Request)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Router::Simple)
BuildRequires:  perl(parent)
Requires:       perl(CGI)
Requires:       perl(Class::Accessor::Lite)
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Plack)
Requires:       perl(Router::Simple)
Requires:       perl(parent)
Recommends:     perl(JSON::XS)
%{perl_requires}

%description
JSON::RPC is a set of modules that implement JSON RPC 2.0 protocol.

    If you are using old JSON::RPC code (up to 0.96), DO NOT EXPECT
    YOUR CODE TO WORK WITH THIS VERSION. THIS VERSION IS 
    ****BACKWARDS INCOMPATIBLE****

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes cpanfile LICENSE Makefile README.md

%changelog
* Thu Aug 27 2015 hsk@imb-jena.de
- add CGI to Requires:, BuildRequires:, as that module is not in
  perl core since perl 5.22
* Wed Oct 15 2014 lars@linux-schulserver.de
- updated to 1.06:
  - Work better with batch requests: Now responses are properly returned
    as list as long as the request is a list as well (Arata Makoto)
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.04
  - Work with notifications, which are procedures without an id
    (Kirill Bogdanov)
* Mon Jun 17 2013 coolo@suse.com
- updated to 1.03
  - Allow die \%%hash from handlers (ka2u)
  - Fix the finalization of the response (0xAF)
  - Use require instead of Class::Load. Subclass in your app if you need
    that kind of ability, but it seems unlikely that we'd need anything
    more than eval require here.
  - JSON::RPC::Dispatcher already existed on CPAN. s/Dispatcher/Dispatch/g
  - New maintainer, completely new code for PSGI apps and JSON RPC 2.0
  - If you are using old JSON::RPC code (up to 0.96), DO NOT EXPECT
    YOUR CODE TO WORK. THIS VERSION IS BACKWARDS INCOMPATIBLE
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- created by cpanspec 1.78
  o fixed deps
- noarch pkg
* Fri Aug  7 2009 lars@linux-schulserver.de
- beautify specfile
* Thu Apr 30 2009 - jw@suse.de
- Initial package 0.96
